Loading...
Searching...
No Matches
communication.hh File Reference
Common » Parallel Communication

Implements an utility class that provides collective communication methods for sequential programs. More...

`#include <iostream>`
`#include <complex>`
`#include <algorithm>`
`#include <vector>`
`#include <dune/common/binaryfunctions.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/parallel/future.hh>`

Go to the source code of this file.

## Classes

struct | Dune::No_Comm
class | Dune::Communication< Communicator >
| Collective communication interface and sequential default implementation. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

bool | Dune::operator== (const No_Comm &, const No_Comm &)
| Comparison operator for MPI compatibility.
bool | Dune::operator!= (const No_Comm &, const No_Comm &)
| Comparison operator for MPI compatibility.

## Detailed Description

Implements an utility class that provides collective communication methods for sequential programs.

An abstraction to the basic methods of parallel communication, following the message-passing paradigm.